Subject: bug#6026: 23.1.96; Cursor drawing problems with the Khmer script

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Apr 2010 20:48:29 +0300

> From: Jason Rumney <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 28 Apr 2010 00:14:49 +0800
> 
> Now that I've tried your original report on both GNU/Linux and Windows,
> I see the bug on Windows. It may be due to the version of usp10.dll - I
> remember when I originally worked on the uniscribe code, I had to
> upgrade usp10.dll manually to get support for some languages - Tibetan
> and Sinhalese I specifically remember, but there may have been others.
> But according to info I've found, the last update to usp10.dll was
> shipped as part of XP SP2, bringing Khmer support amongst others, so
> there may be another bug here, or just a difference in the way uniscribe
> maps glyphs compared to libotf which affects Khmer (and I think
> Burmese) but not the Indic scripts.

FWIW, this is XP SP2.

> Also, according to this page: 
> 
>   http://www.microsoft.com/typography/otfntdev/khmerot/features.aspx
> 
> the following otf gsub features are required to properly display Khmer:
> 
>   pref blwf abvf pstf pres blws abvs psts clig
> 
> So the following might be a better font spec, at least for Windows:
> 
> (font-spec :registry "iso10646-1" :otf '(khmr nil
>                                         (pref blwf abvf pstf pres blws
>                                          abvs psts clig)))

If I invoke list-fonts on this, I get nil.  I will try to install a
better font when I can.

Are you suggesting to modify some Emacs source to put this spec?  If
so, where to put it?